POST api/lockapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

LockViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

String length: inclusive between 0 and 100

direction

string

Required

String length: inclusive between 0 and 2

distribution_id

globally unique identifier

None.

guard_id

globally unique identifier

None.

active

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "0ce1fdfd-9f0f-454d-900f-b1387e037b83",
  "name": "sample string 2",
  "direction": "sample string 3",
  "distribution_id": "404a436a-395c-48ce-acc7-82f284047509",
  "guard_id": "4b63e85d-39cb-415c-99a9-bfd35954c594",
  "active": true
}

application/xml, text/xml

Sample:
<lock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <direction>sample string 3</direction>
  <distribution_id>404a436a-395c-48ce-acc7-82f284047509</distribution_id>
  <guard_id>4b63e85d-39cb-415c-99a9-bfd35954c594</guard_id>
  <id>0ce1fdfd-9f0f-454d-900f-b1387e037b83</id>
  <name>sample string 2</name>
</lock>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"444d27ab-0ddc-4730-85b7-e1f6ce56ed26"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">444d27ab-0ddc-4730-85b7-e1f6ce56ed26</guid>